import request from '@/utils/request'

// 全部任务
export function managerAllTaskList(params) {
  return request({
    url: '/manager/task/allTaskList',
    method: 'get',
    params: params,
  })
}

// 区总览
export function managerCountyTaskSummary(params) {
  return request({
    url: '/manager/task/countyTaskSummary',
    method: 'get',
    params: params,
  })
}

// 待分配任务
export function managerUndistribTaskList(params) {
  return request({
    url: '/manager/task/undistribTaskList',
    method: 'get',
    params: params,
  })
}

// 分配任务
export function distribTask(data) {
  return request({
    url: '/manager/task/distrib',
    method: 'post',
    data: data,
  })
}

// 全部任务
export function managerProcessingTaskList(params) {
  return request({
    url: '/manager/task/processingTaskList',
    method: 'get',
    params: params,
  })
}

// 区总览(处理中)
export function managerCountyProcessingTaskSummary(params) {
  return request({
    url: '/manager/task/countyProcessingTaskSummary',
    method: 'get',
    params: params,
  })
}

// 撤销任务
export function revokeTask(data) {
  return request({
    url: '/manager/task/revoke',
    method: 'post',
    data: data,
  })
}
